Jump to content

error verifying gcc-linaro 2013?


Recommended Posts

I'm new to building the toolchain so sorry if I missed something basic. 

I installed Virtualbox greater than the version noted on the instructions page. (https://docs.armbian.com/Developer-Guide_Build-Preparation/)

Used the mini image at http://archive.ubuntu.com/ubuntu/dists/focal/main/installer-amd64/current/legacy-images/netboot/mini.iso per above page.

During the install I did not check any options for system software.

Started the os and installed git using sudo per the instructions page in the second line above.

After it completed I changed to the build directory and issued the compile

sudo ./compile.sh 

and seems to run as expected. I select Full OS Image -> Show a kernel configuration menu -> (select ANY board) -> Current, and it seems to run fine until it gets to the following error -

942105473_Screenshotat2020-06-2013-57-02.png.1910b70f03e076f34a7a029830fae542.png

2013??

 

This is the roadblock every time for me. What step did I miss or err?

 

After a few tries I noticed it has a very brief error on boot -

382476126_Screenshotat2020-06-2014-31-27.png.c06ec7760070a03c321e782257ff04c0.png

 

but I don't see how that would cause a download error or use a file from 2013?

 

Guidance would be awesome at this point ;]

 

.

 

Link to comment
Share on other sites

Armbian Linux community supported weekly builds download

The minimal installation seems lacking gpg.

apt-get install gpg

 

This fixes it.

 

 

About 2013: Some boards, especially older ones need older toolchain to compile older sources...sometimes stuff breaks in upstream ¯\_(ツ)_/¯

Link to comment
Share on other sites

Completed without error thank you again ... although I think I will allocate more resources to the VM it took all night hihi. I understand the next run will be much faster since it doesn't have to download and build those toolchains.

 

Thanks again

 

Link to comment
Share on other sites

 Share

×
×
  • Create New...